part of 'generated.dart';

class DeleteEmergencyContactVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteEmergencyContactVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteEmergencyContactData> dataDeserializer = (dynamic json)  => DeleteEmergencyContactData.fromJson(jsonDecode(json));
  Serializer<DeleteEmergencyContactVariables> varsSerializer = (DeleteEmergencyContactVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteEmergencyContactData, DeleteEmergencyContactVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteEmergencyContactData, DeleteEmergencyContactVariables> ref() {
    DeleteEmergencyContactVariables vars= DeleteEmergencyContactVariables(id: id,);
    return _dataConnect.mutation("deleteEmergencyContact", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteEmergencyContactEmergencyContactDelete {
  final String id;
  DeleteEmergencyContactEmergencyContactDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteEmergencyContactEmergencyContactDelete otherTyped = other as DeleteEmergencyContactEmergencyContactDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteEmergencyContactEmergencyContactDelete({
    required this.id,
  });
}

@immutable
class DeleteEmergencyContactData {
  final DeleteEmergencyContactEmergencyContactDelete? emergencyContact_delete;
  DeleteEmergencyContactData.fromJson(dynamic json):
  
  emergencyContact_delete = json['emergencyContact_delete'] == null ? null : DeleteEmergencyContactEmergencyContactDelete.fromJson(json['emergencyContact_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteEmergencyContactData otherTyped = other as DeleteEmergencyContactData;
    return emergencyContact_delete == otherTyped.emergencyContact_delete;
    
  }
  @override
  int get hashCode => emergencyContact_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (emergencyContact_delete != null) {
      json['emergencyContact_delete'] = emergencyContact_delete!.toJson();
    }
    return json;
  }

  DeleteEmergencyContactData({
    this.emergencyContact_delete,
  });
}

@immutable
class DeleteEmergencyContactVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteEmergencyContactVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteEmergencyContactVariables otherTyped = other as DeleteEmergencyContactVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteEmergencyContactVariables({
    required this.id,
  });
}

